[Unit]
Description=Connection service (udhcpc)
After=network@%i.service
Requires=network@%i.service
Wants=network-online.target
Before=network-online.target
ConditionPathExists=/etc
ConditionPathExists=/tmp

[Service]
ExecStartPre=-/bin/touch /etc/resolv.conf
ExecStart=/sbin/udhcpc --timeout 1 --tryagain 5 -i%i -p /tmp/udhcpc.%i.pid
RemainAfterExit=yes

[Install]
WantedBy=network.target
